<?php
return array(
    'router' => array(
        'routes' => array(

            /** Home */
            'home' => array(
                'type' => 'Zend\Mvc\Router\Http\Literal',
                'options' => array(
                    'route' => '/',
                    'defaults' => array(
                        'controller' => 'Application\Factory\Index',
                        'action' => 'index',
                    ),
                ),
            ),

            /** Login */
            'login' => array(
                'type' => 'Zend\Mvc\Router\Http\Literal',
                'options' => array(
                    'route' => '/auth',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Application\Factory',
                        'controller' => 'Index',
                        'action' => 'auth',
                    ),
                )
            ),

            /** Install */
            'install' => array(
                'type' => 'Zend\Mvc\Router\Http\Literal',
                'options' => array(
                    'route' => '/install',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Application\Factory',
                        'controller' => 'Index',
                        'action' => 'install',
                    ),
                )
            ),

            /** Lost Password */
            'lost-password' => array(
                'type' => 'Zend\Mvc\Router\Http\Literal',
                'options' => array(
                    'route' => '/lost-password',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Application\Factory',
                        'controller' => 'LostPassword',
                        'action' => 'index',
                    ),
                ),
                'may_terminate' => true,
                'child_routes' => array(
                    'default' => array(
                        'type' => 'Zend\Mvc\Router\Http\Segment',
                        'options' => array(
                            'route' => '/[:action[/:token]]',
                            'constraints' => array(
                                'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
                                'token' => '[a-zA-Z0-9_-]*',
                            ),
                            'defaults' => array(),
                        ),
                    ),
                ),
            ),

            /** Dashboard */
            'dashboard' => array(
                'type' => 'Zend\Mvc\Router\Http\Literal',
                'options' => array(
                    'route' => '/dashboard',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Application\Factory',
                        'controller' => 'Dashboard',
                        'action' => 'index',
                    ),
                )
            ),

            /** Logout */
            'logout' => array(
                'type' => 'Zend\Mvc\Router\Http\Literal',
                'options' => array(
                    'route' => '/logout',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Application\Factory',
                        'controller' => 'Index',
                        'action' => 'logout',
                    ),
                )
            ),

            /** Setting */
            'setting' => array(
                'type' => 'Zend\Mvc\Router\Http\Literal',
                'options' => array(
                    'route' => '/setting',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Application\Factory',
                        'controller' => 'Setting',
                        'action' => 'index',
                    ),
                )
            ),

            /** Smtp */
            'smtp' => array(
                'type' => 'Zend\Mvc\Router\Http\Literal',
                'options' => array(
                    'route' => '/setting/smtp',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Application\Factory',
                        'controller' => 'Setting',
                        'action' => 'smtp',
                    ),
                ),
            ),

            /** Domain */
            'domain' => array(
                'type' => 'Zend\Mvc\Router\Http\Literal',
                'options' => array(
                    'route' => '/domain',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Application\Factory',
                        'controller' => 'Domain',
                        'action' => 'index',
                    ),
                ),
                'may_terminate' => true,
                'child_routes' => array(
                    'default' => array(
                        'type' => 'Zend\Mvc\Router\Http\Segment',
                        'options' => array(
                            'route' => '/[:action[/:id]]',
                            'constraints' => array(
                                'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
                                'id' => '[0-9]+',
                            ),
                            'defaults' => array(),
                        ),
                    ),
                ),
            ),

            /** Upload File */
            'upload' => array(
                'type' => 'Zend\Mvc\Router\Http\Segment',
                'options' => array(
                    'route' => '/upload/[:domain]',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Application\Factory',
                        'controller' => 'Upload',
                        'action' => 'index',
                        'domain' => '[0-9]+',
                    ),
                ),
                'may_terminate' => true,
                'child_routes' => array(
                    'default' => array(
                        'type' => 'Zend\Mvc\Router\Http\Segment',
                        'options' => array(
                            'route' => '/[:action[/:id]]',
                            'constraints' => array(
                                'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
                                'id' => '[0-9]+',
                            ),
                            'defaults' => array(),
                        ),
                    ),
                ),
            ),

            /** Account */
            'account' => array(
                'type' => 'Zend\Mvc\Router\Http\Segment',
                'options' => array(
                    'route' => '/account/[:domain]',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Application\Factory',
                        'controller' => 'Account',
                        'action' => 'index',
                        'domain' => '[0-9]+',
                    ),
                ),
                'may_terminate' => true,
                'child_routes' => array(
                    'default' => array(
                        'type' => 'Zend\Mvc\Router\Http\Segment',
                        'options' => array(
                            'route' => '/[:action[/:id]]',
                            'constraints' => array(
                                'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
                                'id' => '[0-9]+',
                            ),
                            'defaults' => array(),
                        ),
                    ),
                ),
            ),

            /** Hosting */
            'hosting' => array(
                'type' => 'Zend\Mvc\Router\Http\Literal',
                'options' => array(
                    'route' => '/hosting',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Application\Factory',
                        'controller' => 'Hosting',
                        'action' => 'index',
                    ),
                ),
                'may_terminate' => true,
                'child_routes' => array(
                    'default' => array(
                        'type' => 'Zend\Mvc\Router\Http\Segment',
                        'options' => array(
                            'route' => '/[:action[/:id]]',
                            'constraints' => array(
                                'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
                                'id' => '[0-9]+',
                            ),
                            'defaults' => array(),
                        ),
                    ),
                ),
            ),

            /** Provider */
            'provider' => array(
                'type' => 'Zend\Mvc\Router\Http\Literal',
                'options' => array(
                    'route' => '/provider',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Application\Factory',
                        'controller' => 'Provider',
                        'action' => 'index',
                    ),
                ),
                'may_terminate' => true,
                'child_routes' => array(
                    'default' => array(
                        'type' => 'Zend\Mvc\Router\Http\Segment',
                        'options' => array(
                            'route' => '/[:action[/:id]]',
                            'constraints' => array(
                                'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
                                'id' => '[0-9]+',
                            ),
                            'defaults' => array(),
                        ),
                    ),
                ),
            ),

            /** Customers */
            'customers' => array(
                'type' => 'Zend\Mvc\Router\Http\Literal',
                'options' => array(
                    'route' => '/customers',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Application\Factory',
                        'controller' => 'Customers',
                        'action' => 'index',
                    ),
                ),
                'may_terminate' => true,
                'child_routes' => array(
                    'default' => array(
                        'type' => 'Zend\Mvc\Router\Http\Segment',
                        'options' => array(
                            'route' => '/[:action[/:id]]',
                            'constraints' => array(
                                'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
                                'id' => '[0-9]+',
                            ),
                            'defaults' => array(),
                        ),
                    ),
                ),
            ),

            /** Type Account */
            'type_account' => array(
                'type' => 'Zend\Mvc\Router\Http\Literal',
                'options' => array(
                    'route' => '/type-account',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Application\Factory',
                        'controller' => 'TypeAccount',
                        'action' => 'index',
                    ),
                ),
                'may_terminate' => true,
                'child_routes' => array(
                    'default' => array(
                        'type' => 'Zend\Mvc\Router\Http\Segment',
                        'options' => array(
                            'route' => '/[:action[/:id]]',
                            'constraints' => array(
                                'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
                                'id' => '[0-9]+',
                            ),
                            'defaults' => array(),
                        ),
                    ),
                ),
            ),

        	/** Server */
        	'server' => array(
        		'type' => 'Zend\Mvc\Router\Http\Literal',
        		'options' => array(
        			'route' => '/server',
        			'defaults' => array(
        				'__NAMESPACE__' => 'Application\Factory',
        				'controller' => 'Server',
        				'action' => 'index',
        			),
        		),
        		'may_terminate' => true,
        		'child_routes' => array(
        			'default' => array(
        				'type' => 'Zend\Mvc\Router\Http\Segment',
        				'options' => array(
        					'route' => '/[:action[/:id]]',
        					'constraints' => array(
        						'action' => '[a-zA-Z][a-zA-Z0-9_-]*',
        						'id' => '[0-9]+',
        					),
        					'defaults' => array(),
        				),
        			),
        		),
        	),

            /** Welcome */
            'welcome' => array(
                'type' => 'Zend\Mvc\Router\Http\Literal',
                'options' => array(
                    'route' => '/welcome',
                    'defaults' => array(
                        '__NAMESPACE__' => 'Application\Factory',
                        'controller' => 'Index',
                        'action' => 'welcome',
                    ),
                )
            ),

            //....
        ),
    ),

    /**
     * Service Manager
     */
    'service_manager' => array(
        'abstract_factories' => array(
            'Zend\Cache\Service\StorageCacheAbstractServiceFactory',
            'Zend\Log\LoggerAbstractServiceFactory',
        ),
        'aliases' => array(
            'translator' => 'MvcTranslator',
        ),
        'invokables' => array(
            'Application\Service\SqlObjectToArray' => 'Application\Service\SqlObjectToArray',
            'Application\Service\Demo' => 'Application\Service\Demo',
            'Application\AuthService' => 'Zend\Authentication\AuthenticationService',
            'Application\Service\Install' => 'Application\Service\InstallService',
        ),
        'factories' => array(
            'Application\AuthAdapter\WebStudio' => function ($sm) {
                    $SettingModel = $sm->get('Application\Model\Setting');
                    return new Application\Authentication\Adapter\WebStudio($SettingModel);
                },
            'Application\Provider\WebStudioIdentityProvider' => 'Application\Provider\WebStudioIdentityProviderFactory',
        )
    ),
    'translator' => array(
        'locale' => 'en',
        'translation_file_patterns' => array(
            array(
                'type' => 'phparray',
                'base_dir' => __DIR__ . '/../language',
                'pattern' => '%s.php'
            )
        )
    ),

    /**
     * Controllers Factories
     */
    'controllers' => array(
        'factories' => array(
            'Application\Factory\Index' => 'Application\Factory\IndexFactory',
            'Application\Factory\Dashboard' => 'Application\Factory\DashboardFactory',
            'Application\Factory\Hosting' => 'Application\Factory\HostingFactory',
            'Application\Factory\Domain' => 'Application\Factory\DomainFactory',
            'Application\Factory\Customers' => 'Application\Factory\CustomersFactory',
            'Application\Factory\Account' => 'Application\Factory\AccountFactory',
            'Application\Factory\Setting' => 'Application\Factory\SettingFactory',
            'Application\Factory\Provider' => 'Application\Factory\ProviderFactory',
            'Application\Factory\TypeAccount' => 'Application\Factory\TypeAccountFactory',
            'Application\Factory\LostPassword' => 'Application\Factory\LostPasswordFactory',
            'Application\Factory\Upload' => 'Application\Factory\UploadFactory',
        	'Application\Factory\Server' => 'Application\Factory\ServerFactory',
        ),
    ),
    'controller_plugins' => array(
        'invokables' => array(
            'FormatDates' => 'Application\Controller\Plugin\FormatDates'
        )
    ),
    'view_manager' => array(
        'display_not_found_reason' => false,
        'display_exceptions' => false,
        'doctype' => 'HTML5',
        'not_found_template' => 'error/404',
        'exception_template' => 'error/index',
        'template_map' => array(
            'layout/layout' => __DIR__ . '/../view/layout/layout.phtml',
            'error/404' => __DIR__ . '/../view/error/404.phtml',
            'error/index' => __DIR__ . '/../view/error/index.phtml',
            'error/403' => __DIR__ . '/../view/error/403.phtml',
        ),
        'template_path_stack' => array(
            __DIR__ . '/../view',
        ),
    ),

    /**
     * View helpers
     */
    'view_helpers' => array(
        'invokables' => array(
            'DecryptPassword' => 'Application\View\Helper\DecryptPassword',
            'ExpiryDate' => 'Application\View\Helper\ExpiryDate',
        )
    ),

    // Placeholder for console routes
    'console' => array(
        'router' => array(
            'routes' => array(),
        ),
    ),

    // User ACL
    'bjyauthorize' => array(
        'guards' => array(
            'BjyAuthorize\Guard\Controller' => array(
                array('controller' => 'Application\Factory\Index', 'roles' => array()),
                array('controller' => 'Application\Factory\Dashboard', 'roles' => array('administrator')),
                array('controller' => 'Application\Factory\Hosting', 'roles' => array('administrator')),
                array('controller' => 'Application\Factory\Domain', 'roles' => array('administrator')),
                array('controller' => 'Application\Factory\Customers', 'roles' => array('administrator')),
                array('controller' => 'Application\Factory\Account', 'roles' => array('administrator')),
                array('controller' => 'Application\Factory\Setting', 'roles' => array('administrator')),
                array('controller' => 'Application\Factory\Provider', 'roles' => array('administrator')),
                array('controller' => 'Application\Factory\TypeAccount', 'roles' => array('administrator')),
                array('controller' => 'Application\Factory\Upload', 'roles' => array('administrator')),
            	array('controller' => 'Application\Factory\LostPassword', 'roles' => array()),
            	array('controller' => 'Application\Factory\Server', 'roles' => array('administrator')),
            ),
        ),
    ),
);
