<?php
namespace Application\Controller;

use Application\Model\AccountModel;
use Application\Model\CustomersModel;
use Application\Model\DomainModel;
use Application\Model\SettingModel;
use Zend\Mvc\Controller\AbstractActionController;
use Zend\View\Model\ViewModel;

/**
 * Class DashboardController
 * @package Application\Controller
 */
class DashboardController extends AbstractActionController
{
    /**
     * @var SettingModel
     */
    protected $_settingModel;

    /**
     * @var DomainModel
     */
    protected $_DomainModel;

    /**
     * @var AccountModel
     */
    protected $_AccountModel;

    /**
     * @var CustomersModel
     */
    protected $_CustomersModel;

    /**
     * @param \Application\Model\DomainModel $DomainModel
     */
    public function setDomainModel($DomainModel)
    {
        $this->_DomainModel = $DomainModel;
    }

    /**
     * @return \Application\Model\DomainModel
     */
    public function getDomainModel()
    {
        return $this->_DomainModel;
    }

    /**
     * @param \Application\Model\SettingModel $settingModel
     */
    public function setSettingModel($settingModel)
    {
        $this->_settingModel = $settingModel;
    }

    /**
     * @return \Application\Model\SettingModel
     */
    public function getSettingModel()
    {
        return $this->_settingModel;
    }

    /**
     * @param \Application\Model\AccountModel $AccountModel
     */
    public function setAccountModel($AccountModel)
    {
        $this->_AccountModel = $AccountModel;
    }

    /**
     * @return \Application\Model\AccountModel
     */
    public function getAccountModel()
    {
        return $this->_AccountModel;
    }

    /**
     * @param \Application\Model\CustomersModel $CustomersModel
     */
    public function setCustomersModel($CustomersModel)
    {
        $this->_CustomersModel = $CustomersModel;
    }

    /**
     * @return \Application\Model\CustomersModel
     */
    public function getCustomersModel()
    {
        return $this->_CustomersModel;
    }

    /**
     * Dashboard
     * @return array|ViewModel
     */
    public function indexAction()
    {
        return new ViewModel(array(
            'last_expiring' => $this->getDomainModel()->getLastExpiring(),
            'expired_domains' => $this->getDomainModel()->getExpireDomains(),
            'min_domain' => $this->getDomainModel()->count(),
            'min_customers' => $this->getCustomersModel()->count(),
            'min_account' => $this->getAccountModel()->count(),
            'setting' => $this->getSettingModel()->find(array(
                    'id' => $this->WebStudioAuthentication()->getIdentity()
                )),
            'charts' => array(
                'active'  => $this->getDomainModel()->getDomainChart('active'),
                'expired' => $this->getDomainModel()->getDomainChart('expired'),
            ),
        ));
    }
}
