<?php
namespace Application\Controller;

use Application\Form\HostingForm;
use Zend\Mvc\Controller\AbstractActionController;
use Zend\View\Model\ViewModel;

/**
 * Class HostingController
 * @package Application\Controller
 */
class HostingController extends AbstractActionController
{
    /**
     * @var HostingForm
     */
    protected $_HostingForm;

    /**
     * @var HostingForm
     */
    protected $_HostingModel;

    /**
     * @param \Application\Form\HostingForm $HostingForm
     */
    public function setHostingForm($HostingForm)
    {
        $this->_HostingForm = $HostingForm;
    }

    /**
     * @return \Application\Form\HostingForm
     */
    public function getHostingForm()
    {
        return $this->_HostingForm;
    }

    /**
     * @param \Application\Form\HostingForm $HostingModel
     */
    public function setHostingModel($HostingModel)
    {
        $this->_HostingModel = $HostingModel;
    }

    /**
     * @return \Application\Form\HostingForm
     */
    public function getHostingModel()
    {
        return $this->_HostingModel;
    }

    /**
     * Hosting
     * @return array|ViewModel
     */
    public function indexAction()
    {
        return new ViewModel(array(
            'hosting' => $this->getHostingModel()->getList(),
            'message' => $this->flashMessenger()->getMessages()
        ));
    }

    /**
     * Add Hosting
     * @return \Zend\Http\Response|ViewModel
     */
    public function addAction()
    {
        $request = $this->getRequest();
        $form    = $this->getHostingForm();

        if (true === $request->isPost()) {

            $post = $request->getPost()->toArray();
            $form->setData($post);

            if (true === $form->isValid()) {
                $this->getHostingModel()->insert($post);
                $this->flashMessenger()->addMessage(array('success', 1));
                return $this->redirect()->toRoute('hosting');
            }
        }

        return new ViewModel(array(
            'form' => $form
        ));
    }

    /**
     * Edit Hosting
     * @return \Zend\Http\Response|ViewModel
     */
    public function editAction()
    {
        $ID  = (int)$this->params()->fromRoute('id', 0);
        $row = $this->getHostingModel()->find(array('id' => $ID));

        $request = $this->getRequest();
        $form    = $this->getHostingForm();
        $form->setData($row);

        if (true === $request->isPost()) {

            $post = $request->getPost()->toArray();
            $form->setData($post);

            if (true === $form->isValid()) {
                $this->getHostingModel()->update($ID, $post);
                $this->flashMessenger()->addMessage(array('success', 1));
                return $this->redirect()->toRoute('hosting');
            }
        }

        return new ViewModel(array(
            'form' => $form
        ));
    }

    /**
     * Delete Hosting
     * @return \Zend\Http\Response
     */
    public function deleteAction()
    {
        $ID = (int)$this->params()->fromRoute('id', 0);
        $this->getHostingModel()->delete($ID);
        $this->flashMessenger()->addMessage(array('success', 1));
        return $this->redirect()->toRoute('hosting');
    }
}
