<?php
namespace Application\Controller;

use Zend\Crypt\BlockCipher;
use Zend\Mvc\Controller\AbstractActionController;
use Zend\View\Model\ViewModel;

/**
 * Class ServerController
 * @package Application\Controller
 */
class ServerController extends AbstractActionController
{
    /**
     * @var ServerModel
     */
    protected $_ServerModel;
    
    protected $_serverForm;
    
    /**
	 * @return the $_serverForm
	 */
	public function getServerForm() {
		return $this->_serverForm;
	}

	/**
	 * @param field_type $_serverForm
	 */
	public function setServerForm($_serverForm) {
		$this->_serverForm = $_serverForm;
	}

	/**
	 * @return the $_ServerModel
	 */
	public function getServerModel() {
		return $this->_ServerModel;
	}

	/**
	 * @param \Application\Controller\ServerModel $_ServerModel
	 */
	public function setServerModel($_ServerModel) {
		$this->_ServerModel = $_ServerModel;
	}

	/**
     * Server
     * @return array|ViewModel
     */
    public function indexAction()
    {
        return new ViewModel(array(
            'server' => $this->getServerModel()->getList(),
            'message' => $this->flashMessenger()->getMessages()
        ));
    }
    
    public function addAction()
    {
    	$request = $this->getRequest();
        $form    = $this->getServerForm();
        $BC      = $this->getServiceLocator()->get('block_cipher');
        
        $blockCipher = BlockCipher::factory('mcrypt', array('algo' => $BC['algo']));
        $blockCipher->setKey($this->ApiKey()->getApiKey());

        if (true === $request->isPost()) {

            $post = $request->getPost()->toArray();
            $post['created'] = date('Y-m-d H:i:s');
            if(!empty($post['pwd']))
            {
            	$post['pwd'] = $blockCipher->encrypt($post['pwd']);
            }
            $form->setData($post);

            if (true === $form->isValid()) {
                $this->getServerModel()->insert($post);
                $this->flashMessenger()->addMessage(array('success', 1));
                return $this->redirect()->toRoute('server');
            }
        }

        return new ViewModel(array(
            'form' => $form
        ));
    }
    
    public function editAction()
    {
    	$ID  = (int)$this->params()->fromRoute('id', 0);
        $row = $this->getServerModel()->find(array('id' => $ID));
        $BC      = $this->getServiceLocator()->get('block_cipher');
        
        $blockCipher = BlockCipher::factory('mcrypt', array('algo' => $BC['algo']));
        $blockCipher->setKey($this->ApiKey()->getApiKey());

        $request = $this->getRequest();
        $form    = $this->getServerForm();
        $form->setData(array_merge($row, array(
        	'pwd' => $blockCipher->decrypt($row['pwd']),
        )));

        if (true === $request->isPost()) {

            $post = $request->getPost()->toArray();
            if(!empty($post['pwd']))
            {
            	$post['pwd'] = $blockCipher->encrypt($post['pwd']);
            }
            $form->setData($post);

            if (true === $form->isValid()) {
                $this->getServerModel()->update($ID, $post);
                $this->flashMessenger()->addMessage(array('success', 1));
                return $this->redirect()->toRoute('server');
            }
        }

        return new ViewModel(array(
            'form' => $form
        ));
    }
    
    public function deleteAction()
    {
    	$ID = (int)$this->params()->fromRoute('id', 0);
    	$this->getServerModel()->delete($ID);
    	$this->flashMessenger()->addMessage(array('success', 1));
    	return $this->redirect()->toRoute('server');
    }
}
