<?php
namespace Application\Factory;

use Application\Controller\CustomersController;
use Application\Form\CustomersForm;
use Zend\ServiceManager\FactoryInterface;
use Zend\ServiceManager\ServiceLocatorInterface;

/**
 * Class CustomersFactory
 * @package Application\Factory
 */
class CustomersFactory implements FactoryInterface
{
    /**
     * @param ServiceLocatorInterface $servicelocator
     * @return CustomersController|mixed
     */
    public function createService(ServiceLocatorInterface $servicelocator)
    {
        $allServices = $servicelocator->getServiceLocator();
        $sm          = $allServices->get('ServiceManager');

        $controller = new CustomersController();
        $controller->setCustomersModel($sm->get('Application\Model\Customers'));
        $controller->setCustomersForm(new CustomersForm());
        return $controller;
    }
}
