<?php
namespace Application\Factory;

use Application\Controller\DashboardController;
use Zend\ServiceManager\FactoryInterface;
use Zend\ServiceManager\ServiceLocatorInterface;

/**
 * Class DashboardFactory
 * @package Application\Factory
 */
class DashboardFactory implements FactoryInterface
{
    /**
     * @param ServiceLocatorInterface $servicelocator
     * @return DashboardController|mixed
     */
    public function createService(ServiceLocatorInterface $servicelocator)
    {
        $allServices = $servicelocator->getServiceLocator();
        $sm          = $allServices->get('ServiceManager');

        $controller = new DashboardController();
        $controller->setSettingModel($sm->get('Application\Model\Setting'));
        $controller->setDomainModel($sm->get('Application\Model\Domain'));
        $controller->setCustomersModel($sm->get('Application\Model\Customers'));
        $controller->setAccountModel($sm->get('Application\Model\Account'));
        return $controller;
    }
}
