<?php
namespace Application\Factory;

use Application\Controller\HostingController;

use Application\Filter\HostingFilter;
use Application\Form\HostingForm;
use Zend\ServiceManager\FactoryInterface;
use Zend\ServiceManager\ServiceLocatorInterface;

/**
 * Class HostingFactory
 * @package Application\Factory
 */
class HostingFactory implements FactoryInterface
{
    /**
     * @param ServiceLocatorInterface $servicelocator
     * @return HostingController|mixed
     */
    public function createService(ServiceLocatorInterface $servicelocator)
    {
        $allServices = $servicelocator->getServiceLocator();
        $sm          = $allServices->get('ServiceManager');

        $form = new HostingForm();
        $form->setInputFilter(new HostingFilter());

        $controller = new HostingController();
        $controller->setHostingModel($sm->get('Application\Model\Hosting'));
        $controller->setHostingForm($form);
        return $controller;
    }
}
