<?php
namespace Application\Factory;

use Application\Controller\ProviderController;

use Application\Filter\ProviderFilter;
use Application\Form\ProviderForm;
use Zend\ServiceManager\FactoryInterface;
use Zend\ServiceManager\ServiceLocatorInterface;

/**
 * Class ProviderFactory
 * @package Application\Factory
 */
class ProviderFactory implements FactoryInterface
{
    /**
     * @param ServiceLocatorInterface $servicelocator
     * @return ProviderController|mixed
     */
    public function createService(ServiceLocatorInterface $servicelocator)
    {
        $allServices = $servicelocator->getServiceLocator();
        $sm          = $allServices->get('ServiceManager');

        $form = new ProviderForm();
        $form->setInputFilter(new ProviderFilter());

        $controller = new ProviderController();
        $controller->setProviderModel($sm->get('Application\Model\Provider'));
        $controller->setProviderForm($form);
        return $controller;
    }
}
