<?php
namespace Application\Factory;

use Application\Controller\SettingController;
use Application\Filter\SettingFilter;
use Application\Form\SettingForm;
use Application\Form\SmtpForm;
use Zend\ServiceManager\FactoryInterface;
use Zend\ServiceManager\ServiceLocatorInterface;

/**
 * Class SettingFactory
 * @package Application\Factory
 */
class SettingFactory implements FactoryInterface
{
    /**
     * @param ServiceLocatorInterface $servicelocator
     * @return SettingController|mixed
     */
    public function createService(ServiceLocatorInterface $servicelocator)
    {
        $allServices = $servicelocator->getServiceLocator();
        $sm          = $allServices->get('ServiceManager');

        $form = new SettingForm('', array(
            'language' => $sm->get('language')
        ));
        $form->setInputFilter(new SettingFilter());

        $formSmtp = new SmtpForm();

        $controller = new SettingController();
        $controller->setSettingModel($sm->get('Application\Model\Setting'));
        $controller->setDemo($sm->get('Application\Service\Demo'));
        $controller->setSettingForm($form);
        $controller->setSmtpForm($formSmtp);
        return $controller;
    }
}
