<?php
namespace Application\Factory;

use Application\Controller\TypeAccountController;

use Application\Filter\TypeAccountFilter;
use Application\Form\TypeAccountForm;
use Zend\ServiceManager\FactoryInterface;
use Zend\ServiceManager\ServiceLocatorInterface;

/**
 * Class TypeAccountFactory
 * @package Application\Factory
 */
class TypeAccountFactory implements FactoryInterface
{
    /**
     * @param ServiceLocatorInterface $servicelocator
     * @return TypeAccountController|mixed
     */
    public function createService(ServiceLocatorInterface $servicelocator)
    {
        $allServices = $servicelocator->getServiceLocator();
        $sm          = $allServices->get('ServiceManager');

        $form = new TypeAccountForm();
        $form->setInputFilter(new TypeAccountFilter());

        $controller = new TypeAccountController();
        $controller->setTypeAccountModel($sm->get('Application\Model\TypeAccount'));
        $controller->setTypeAccountForm($form);
        return $controller;
    }
}
