<?php
namespace Application\Factory;

use Application\Controller\UploadController;
use Application\Filter\UploadFilter;
use Application\Form\UploadForm;
use Zend\ServiceManager\FactoryInterface;
use Zend\ServiceManager\ServiceLocatorInterface;

/**
 * Class UploadFactory
 * @package Application\Factory
 */
class UploadFactory implements FactoryInterface
{
    /**
     * @param ServiceLocatorInterface $servicelocator
     * @return UploadController|mixed
     */
    public function createService(ServiceLocatorInterface $servicelocator)
    {
        $allServices = $servicelocator->getServiceLocator();
        $sm          = $allServices->get('ServiceManager');

        $form = new UploadForm();
        $form->setInputFilter(new UploadFilter());

        $controller = new UploadController();
        $controller->setUploadModel($sm->get('Application\Model\Upload'));
        $controller->setDomainModel($sm->get('Application\Model\Domain'));
        $controller->setDemo($sm->get('Application\Service\Demo'));
        $controller->setUploadForm($form);
        return $controller;
    }
}
