<?php
namespace Application\Filter;

use Zend\InputFilter\InputFilter;

/**
 * Class UploadFilter
 * @package Application\Filter
 */
class UploadFilter extends InputFilter
{
    public function __construct()
    {
        $this->add(array(
            'name' => 'fullname',
            'required' => true,
            'filters' => array(
                array('name' => 'StripTags'),
                array('name' => 'StringTrim')
            ),
            'validators' => array(
                array(
                    'name' => 'StringLength',
                    'options' => array(
                        'encoding' => 'UTF-8',
                        'min' => '1',
                        'max' => '45'
                    )
                )
            )
        ));

        $this->add(array(
            'name' => 'upload',
            'required' => false
        ));
    }
}
