<?php
namespace Application\Form;

use Zend\Form\Form;

/**
 * Class CustomersForm
 * @package Application\Form
 */
class CustomersForm extends Form
{
    /**
     * @param string $name
     * @param array $options
     */
    public function __construct($name = '', $options = array())
    {
        parent::__construct($name);
        $this->setAttribute('method', 'post');
        $this->setAttribute('class', 'bottom-margin');
        $this->setAttribute('id', 'validateForm');

        $this->add(array(
            'name' => 'fullname',
            'type' => 'Zend\Form\Element\Text',
            'attributes' => array(
                'class' => 'form-control',
                'required' => 'required'
            )
        ));

        $this->add(array(
            'name' => 'email',
            'type' => 'Zend\Form\Element\Email',
            'attributes' => array(
                'class' => 'form-control',
                'required' => 'required',
            )
        ));

        $this->add(array(
            'name' => 'phone',
            'type' => 'Zend\Form\Element\Text',
            'attributes' => array(
                'class' => 'form-control',
                'required' => 'required'
            )
        ));
        
        $this->add(array(
        	'name' => 'company',
        	'type' => 'Zend\Form\Element\Text',
        	'attributes' => array(
        		'class' => 'form-control',
        	)
        ));
        
        $this->add(array(
        	'name' => 'vat',
        	'type' => 'Zend\Form\Element\Text',
        	'attributes' => array(
        		'class' => 'form-control',
        	)
        ));
    }
}
