<?php
namespace Application\Form;

use Zend\Form\Form;

/**
 * Class InstallForm
 * @package Application\Form
 */
class InstallForm extends Form
{
    /**
     * @param string $name
     * @param array $options
     */
    public function __construct($name = '', $options = array())
    {
        parent::__construct($name);
        $this->setAttribute('method', 'post');
        $this->setAttribute('class', 'bottom-margin');
        $this->setAttribute('id', 'validateForm');

        $this->add(array(
            'name' => 'name',
            'type' => 'Zend\Form\Element\Text',
            'attributes' => array(
                'class' => 'form-control',
                'required' => 'required',
                'placeholder' => $options['label_29'],
            ),
        ));

        $this->add(array(
            'name' => 'surname',
            'type' => 'Zend\Form\Element\Text',
            'attributes' => array(
                'class' => 'form-control',
                'required' => 'required',
                'placeholder' => $options['label_49'],
            ),
        ));

        $this->add(array(
            'name' => 'usermail',
            'type' => 'Zend\Form\Element\Text',
            'attributes' => array(
                'class' => 'form-control',
                'required' => 'required',
                'placeholder' => $options['label_13'],
            ),
        ));

        $this->add(array(
            'name' => 'email',
            'type' => 'Zend\Form\Element\Text',
            'attributes' => array(
                'class' => 'form-control',
                'required' => 'required',
                'placeholder' => $options['label_16'],
            )
        ));

        $this->add(array(
            'name' => 'pwd',
            'type' => 'Zend\Form\Element\Password',
            'attributes' => array(
                'class' => 'form-control',
                'required' => 'required',
                'placeholder' => $options['label_14'],
            )
        ));

        $this->add(array(
            'name' => 'language',
            'type' => 'Zend\Form\Element\Select',
            'attributes' => array(
                'class' => 'form-control',
                'required' => 'required'
            ),
            'options' => array(
                'value_options' => $options['language']
            )
        ));
        
        $this->add(array(
        	'name' => 'usermail',
        	'type' => 'Zend\Form\Element\Text',
        	'attributes' => array(
        		'class' => 'form-control',
        		'required' => 'required',
        		'placeholder' => $options['label_13'],
        	),
        ));
        
        $this->add(array(
        	'name' => 'question',
        	'type' => 'Zend\Form\Element\Text',
        	'attributes' => array(
        		'class' => 'form-control',
        		'required' => 'required',
        		'placeholder' => $options['label_55'],
        	),
        ));
        
        $this->add(array(
        	'name' => 'answer',
        	'type' => 'Zend\Form\Element\Text',
        	'attributes' => array(
        		'class' => 'form-control',
        		'required' => 'required',
        		'placeholder' => $options['label_56'],
        	),
        ));
    }
}