<?php
namespace Application\Form;

use Zend\Form\Form;

/**
 * Class ProviderForm
 * @package Application\Form
 */
class ProviderForm extends Form
{
    /**
     * @param string $name
     * @param array $options
     */
    public function __construct($name = '', $options = array())
    {
        parent::__construct($name);
        $this->setAttribute('method', 'post');
        $this->setAttribute('class', 'bottom-margin');
        $this->setAttribute('id', 'validateForm');

        $this->add(array(
            'name' => 'fullname',
            'type' => 'Zend\Form\Element\Text',
            'attributes' => array(
                'class' => 'form-control',
                'required' => 'required'
            )
        ));

        $this->add(array(
            'name' => 'url',
            'type' => 'Zend\Form\Element\Url',
            'attributes' => array(
                'class' => 'form-control'
            )
        ));

        $this->add(array(
            'name' => 'usermail',
            'type' => 'Zend\Form\Element\Text',
            'attributes' => array(
                'class' => 'form-control'
            )
        ));

        $this->add(array(
            'name' => 'pwd',
            'type' => 'Zend\Form\Element\Text',
            'attributes' => array(
                'class' => 'form-control'
            )
        ));

    }
}
