<?php
namespace Application\Form;

use Zend\Form\Form;

/**
 * Class ServerForm
 * @package Application\Form
 */
class ServerForm extends Form
{
    /**
     * @param string $name
     * @param array $options
     */
    public function __construct($name = '', $options = array())
    {
        parent::__construct($name);
        $this->setAttribute('method', 'post');
        $this->setAttribute('class', 'bottom-margin');
        $this->setAttribute('id', 'validateForm');

        $this->add(array(
            'name' => 'id_provider',
            'type' => 'Zend\Form\Element\Select',
            'attributes' => array(
                'class' => 'form-control',
                'required' => 'required'
            ),
            'options' => array(
                'empty_option' => '-',
                'value_options' => $options['provider']
            )
        ));
        
        $this->add(array(
            'name' => 'id_hosting',
            'type' => 'Zend\Form\Element\Select',
            'attributes' => array(
                'class' => 'form-control',
                'required' => 'required'
            ),
            'options' => array(
                'empty_option' => '-',
                'value_options' => $options['hosting']
            )
        ));
        
        $this->add(array(
        	'name' => 'id_customer',
        	'type' => 'Zend\Form\Element\Select',
        	'attributes' => array(
        		'class' => 'form-control',
        		'required' => 'required'
        	),
        	'options' => array(
                'empty_option' => '-',
        		'value_options' => $options['customers']
        	)
        ));
        
        $this->add(array(
        	'name' => 'fullname',
        	'type' => 'Zend\Form\Element\Text',
        	'attributes' => array(
        		'class' => 'form-control',
        		'required' => 'required'
        	)
        ));
        
        $this->add(array(
        	'name' => 'user',
        	'type' => 'Zend\Form\Element\Text',
        	'attributes' => array(
        		'class' => 'form-control',
        		'required' => 'required'
        	)
        ));
        
        $this->add(array(
        	'name' => 'pwd',
        	'type' => 'Zend\Form\Element\Text',
        	'attributes' => array(
        		'class' => 'form-control',
        		'required' => 'required'
        	)
        ));
        
        $this->add(array(
        	'name' => 'url',
        	'type' => 'Zend\Form\Element\Url',
        	'attributes' => array(
        		'class' => 'form-control'
        	)
        ));
        
        $this->add(array(
        	'name' => 'price',
        	'type' => 'Zend\Form\Element\Text',
        	'attributes' => array(
        		'class' => 'form-control',
        		'placeholder' => '9999,99'
        	)
        ));
        
        $this->add(array(
        	'name' => 'note',
        	'type' => 'Zend\Form\Element\Textarea',
        	'attributes' => array(
        		'class' => 'form-control'
        	)
        ));
    }
}    
    
