<?php
namespace Application\Form;

use Zend\Form\Form;

/**
 * Class SmtpForm
 * @package Application\Form
 */
class SmtpForm extends Form
{
    /**
     * @param string $name
     * @param array $options
     */
    public function __construct($name = '', $options = array())
    {
        parent::__construct($name);
        $this->setAttribute('method', 'post');
        $this->setAttribute('class', 'bottom-margin');
        $this->setAttribute('id', 'validateForm');
        
        $this->add(array(
        	'name' => 'send_email',
        	'type' => 'Zend\Form\Element\Select',
        	'attributes' => array(
        		'class' => 'form-control',
        		'required' => 'required',
        		'id' => 'send_email'    	
        	),
        	'options' => array(
        		'value_options' => array(
        			'1' => 'Sendmail',
        			'2' => 'SMTP',
        		)
        	)
        ));
        
        $this->add(array(
            'name' => 'from_mail',
            'type' => 'Zend\Form\Element\Text',
            'attributes' => array(
                'class' => 'form-control',
                'required' => 'required'
            )
        ));

        $this->add(array(
            'name' => 'from_name',
            'type' => 'Zend\Form\Element\Text',
            'attributes' => array(
                'class' => 'form-control',
                'required' => 'required'
            )
        ));

        $this->add(array(
            'name' => 'host',
            'type' => 'Zend\Form\Element\Text',
            'attributes' => array(
                'class' => 'form-control',
                'required' => 'required',
            	'placeholder' => 'smtp.domain.com'
            )
        ));
        
        $this->add(array(
        	'name' => 'port',
        	'type' => 'Zend\Form\Element\Text',
        	'attributes' => array(
        		'class' => 'form-control',
        		'required' => 'required',
        		'placeholder' => '587'
        	)
        ));
        
        $this->add(array(
        	'name' => 'username',
        	'type' => 'Zend\Form\Element\Text',
        	'attributes' => array(
        		'class' => 'form-control',
        		'required' => 'required',
        		'autocomplete' => 'off'
        	)
        ));
        
        $this->add(array(
        	'name' => 'password',
        	'type' => 'Zend\Form\Element\Password',
        	'attributes' => array(
        		'class' => 'form-control',
                'required' => 'required'
        	)
        ));
    }
}
