<?php

namespace Application\Provider;

use BjyAuthorize\Provider\Identity\ProviderInterface;
use Zend\Authentication\AuthenticationService;

/**
 * Class WebStudioIdentityProvider
 * @package Application\Provider
 */
class WebStudioIdentityProvider implements ProviderInterface
{
    /**
     * @var \Zend\Authentication\AuthenticationService
     */
    protected $_authService;

    /**
     * @var
     */
    protected $_settingModel;

    /**
     * @param AuthenticationService $authService
     */
    public function __construct(AuthenticationService $authService)
    {
        $this->_authService = $authService;
    }

    /**
     * @return array
     */
    public function getIdentityRoles()
    {  
        $identity = $this->_authService->getIdentity();
        
        if (null != $identity) {           
            $user_row = $this->_settingModel->getRole($identity);
            return array($user_row['role']);
        } else {
            return array();
        }
    }
    
    /**
     * @return the $_settingModel
     */
    public function getSettingModel() {
    	return $this->_settingModel;
    }
    
    /**
     * @param field_type $_settingModel
     */
    public function setSettingModel($_settingModel) {
    	$this->_settingModel = $_settingModel;
    }
}
