<?php

namespace Application\Provider;

use Zend\ServiceManager\FactoryInterface;
use Zend\ServiceManager\ServiceLocatorInterface;
use Application\Provider\WebStudioIdentityProvider;

/**
 * Class WebStudioIdentityProviderFactory
 * @package Application\Provider
 */
class WebStudioIdentityProviderFactory implements FactoryInterface
{
    /**
     * @param ServiceLocatorInterface $serviceLocator
     * @return WebStudioIdentityProvider
     */
    public function createService(ServiceLocatorInterface $serviceLocator)
    {
        $identityProvider = new WebStudioIdentityProvider($serviceLocator->get('Application\AuthService'));
        $identityProvider->setSettingModel($serviceLocator->get('Application\Model\Setting'));
        return $identityProvider;
    }
}
