<?php
namespace Application\Service;

use Zend\ServiceManager\ServiceLocatorAwareInterface;
use Zend\ServiceManager\ServiceLocatorInterface;

/**
 * Class Demo
 * @package Application\Service
 */
class Demo implements ServiceLocatorAwareInterface
{
    /**
     * @var ServiceLocatorInterface
     */
    protected $_ServiceLocator;

    /**
     * @param \Zend\ServiceManager\ServiceLocatorInterface $ServiceLocator
     */
    public function setServiceLocator(ServiceLocatorInterface $ServiceLocator)
    {
        $this->_ServiceLocator = $ServiceLocator;
    }

    /**
     * @return \Zend\ServiceManager\ServiceLocatorInterface
     */
    public function getServiceLocator()
    {
        return $this->_ServiceLocator;
    }

    /**
     * @return bool
     */
    public function getWriteDatabase()
    {
        $config = $this->getServiceLocator()->get('Config');
        return isset($config['write_database']) ? $config['write_database'] : true;
    }

    /**
     * @return bool
     */
    public function getSendEmail()
    {
        $config = $this->getServiceLocator()->get('Config');
        return isset($config['send_email']) ? $config['send_email'] : true;
    }

    /**
     * @return bool
     */
    public function getShowMessage()
    {
        $config = $this->getServiceLocator()->get('Config');
        return isset($config['show_message']) ? $config['show_message'] : false;
    }
}
