<?php
namespace Application\Service;

use Zend\ServiceManager\ServiceLocatorAwareInterface;
use Zend\ServiceManager\ServiceLocatorInterface;

/**
 * Class SqlObjectToArray
 * @package Application\Service
 */
class SqlObjectToArray implements ServiceLocatorAwareInterface
{
    /**
     * @var ServiceLocatorInterface
     */
    protected $_ServiceLocator;

    /**
     * @param \Zend\ServiceManager\ServiceLocatorInterface $ServiceLocator
     */
    public function setServiceLocator(ServiceLocatorInterface $ServiceLocator)
    {
        $this->_ServiceLocator = $ServiceLocator;
    }

    /**
     * @return \Zend\ServiceManager\ServiceLocatorInterface
     */
    public function getServiceLocator()
    {
        return $this->_ServiceLocator;
    }

    /**
     * @param string $model
     * @return array
     */
    public function getOptionValue($model = '')
    {
        $Model  = $this->getServiceLocator()->get('Application\Model' . sprintf('\%s', $model));
        $option = array();
        foreach ($Model->getList() as $row) {
        	$option[$row['id']] = $row['fullname'];
        }
        return $option;
    }
}
