<?php
namespace Application\View\Helper;

use Zend\Crypt\BlockCipher;
use Zend\ServiceManager\ServiceLocatorAwareInterface;
use Zend\ServiceManager\ServiceLocatorInterface;
use Zend\View\Helper\AbstractHelper;

/**
 * Class DecryptPassword
 * @package Application\View\Helper
 */
class DecryptPassword extends AbstractHelper implements ServiceLocatorAwareInterface
{
    /**
     * @var ServiceLocatorInterface
     */
    protected $_ServiceLocator;

    /**
     * @param \Zend\ServiceManager\ServiceLocatorInterface $ServiceLocator
     */
    public function setServiceLocator(ServiceLocatorInterface $ServiceLocator)
    {
        $this->_ServiceLocator = $ServiceLocator;
    }

    /**
     * @return \Zend\ServiceManager\ServiceLocatorInterface
     */
    public function getServiceLocator()
    {
        return $this->_ServiceLocator;
    }

    /**
     * @param string $pwd
     * @return bool|string
     */
    public function __invoke($pwd = '')
    {
        if (!empty($pwd)) {

            /** @var first one gives access to other view helpers $helperPluginManager */
            $helperPluginManager = $this->getServiceLocator();

            /** @var the second one gives access to... other things $serviceManager */
            $serviceManager = $helperPluginManager->getServiceLocator();

            $BC          = $serviceManager->get('block_cipher');
            $blockCipher = BlockCipher::factory('mcrypt', array(
                'algo' => $BC['algo']
            ));
            
            $blockCipher->setKey($serviceManager->get('ControllerPluginManager')->get('ApiKey')->getApiKey());
            return $blockCipher->decrypt($pwd);
        }
    }
}