<?php
namespace Application\View\Helper;

use Zend\View\Helper\AbstractHelper;

/**
 * Class ExpiryDate
 * @package Application\View\Helper
 */
class ExpiryDate extends AbstractHelper
{
    /**
     * @param int $expiry
     * @return string
     */
    public function __invoke($expiry = 0)
    {
        $now  = new \DateTime('now');
        $date = new \DateTime(date('Y-m-d', strtotime($expiry)));
        $week = new \DateTime('+1 week');

        if ($now >= $date) {
            return 'label label-danger';
        } elseif ($week >= $date) {
            return 'label label-warning';
        } else {
            return '';
        }
    }
}